%global dlrn_nvr diskimage-builder-2.29.2.dev2-0.20191114133446.76389d0
%global dlrn 1
%define upstream_version 2.29.2.dev2
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version: 2.29.2
Release: 0.20191114133446.76389d0%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0: diskimage-builder-2.29.2.dev2-0.20191114133446.76389d0.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=76389d0afe3494eb229fcbf98ee7a42901b2d05a

AutoReqProv: no

BuildArch: noarch

BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-pbr
%if %{pyver} == 3
BuildRequires: /usr/bin/pathfix.py
%endif

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: tar
Requires: git
Requires: dib-utils
Requires: xfsprogs
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: python%{pyver}
Requires: python%{pyver}-flake8
Requires: python%{pyver}-pbr
Requires: python%{pyver}-six
Requires: python%{pyver}-stevedore
%if %{pyver} == 2
Requires: python-babel
Requires: python-networkx
Requires: PyYAML
%else
Requires: python%{pyver}-babel
Requires: python%{pyver}-networkx
Requires: python%{pyver}-PyYAML
%endif

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

mkdir -p %{buildroot}%{_datadir}/%{name}/elements

cp -vr diskimage_builder/elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/bin/svc-map
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{pyver_sitelib}/diskimage_builder/elements/svc-map/bin/svc-map
%endif

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{pyver_sitelib}/diskimage_builder*
%{_datadir}/%{name}/elements

%changelog
* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Remove unused job

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- vhd-util : note on Xen/RAX images

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Revert "Drop vhdutil dependency, use qemu-img"

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Revert "Pause Fedora jobs"

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Deprecates the existing "ironic-agent" element in DIB

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "pip-and-virtualenv: include python3-venv for Debuntu"
- pip-and-virtualenv: include python3-venv for Debuntu

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Drop vhdutil dependency, use qemu-img"
- Merge "Add security suite name override in debian-minimal"
- Merge "Ensure machine-id is not included in images"
- Drop vhdutil dependency, use qemu-img
- Add security suite name override in debian-minimal
- Ensure machine-id is not included in images

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Fix syntax error in selinux-fixfiles-restore"
- Fix syntax error in selinux-fixfiles-restore

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "bootloader: make serial console configurable"
- Merge "Update gentoo test to current system profile"
- Pause Fedora jobs
- bootloader: make serial console configurable
- Update gentoo test to current system profile

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "centos7; use numeric DIB_RELEASE"
- centos7; use numeric DIB_RELEASE

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Remove RA solicit delay"
- Temporarily disable Fedora 30 build jobs
- Remove RA solicit delay

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- CentOS 8 minimal testing and support

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Add NetworkManager and dhcp-client for CentOS 8
- Fix networking for CentOS 8

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- simple-init: Use wrappers to call pip for glean install
- simple-init: default to NetworkManager for CentOS and Fedora

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "pip-and-virtualenv : deprecate source for CentOS 8, new variables"
- Merge "yum-minimal: Don't install yum, install libcurl"
- Merge "Use $YUM instead of direct calls in more places"
- Merge "Add environment switch for centos8 to use dnf"
- pip-and-virtualenv : deprecate source for CentOS 8, new variables
- yum-minimal: Don't install yum, install libcurl
- Use $YUM instead of direct calls in more places
- Add environment switch for centos8 to use dnf

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> 2.27.2-1
- Update patches
- Merge "Update redhat-common pkg-map for centos 8"
- Update redhat-common pkg-map for centos 8

* Tue Oct 01 2019 RDO <dev@lists.rdoproject.org> 2.27.2-1
- Update to 2.27.2

